# q - lab of virtual machines with qemu

"q" is a script to quickly setup a lab of virtual machines to test things. 

**Installation:**

<pre>
$ git clone http://git.56k.es/fanta/q ; cd q
$ chmod +x q
# cp -pRv q /bin/q
</pre>

**Dependencies:**

- qemu-system-x86_64
- qemu-system-i386
- qemu-system-sparc
- wget


**Run first time:**

The first time we run "q" it will download the isos from a large list of different GNU+Linux distributions.
It may take a long time to download the files. Please be patient.

<img src="imgs/first_time.png" alt="run script first time" width="100%"/>


**Example: Install and run a Rocky Linux 8.6 distro**

Install virtual machine:
<pre>
$ cd ~/vms/rocky-8.6-x86_64
$ bash install.sh
</pre>

Start virtual machine:
<pre>
$ bash start.sh
</pre>

Enjoy !
Kind regards.
